Mysql5.1.34 MysqlHotCopy su freebsd ma con errore

Guido Falsi mad a madpilot.net
Ven 29 Maggio 2009 18:16:46 CEST


On Fri, May 29, 2009 at 06:10:05PM +0200, RedFoxy wrote:
> Ciao raga!
> Da qualche giorno (precisamente dal 10 di questo mese) non mi funziona  
> piu' mysqlhotcopy, lanciando il comando ricevo questo errore:
>
> install_driver(mysql) failed: Can't load '/usr/local/lib/perl5/ 
> site_perl/5.8.8/mach/auto/DBD/mysql/mysql.so' for module DBD::mysql:  
> Shared object "libmysqlclient.so.15" not found, required by "mysql.so"  
> at /usr/local/lib/perl5/5.8.8/mach/DynaLoader.pm line 230.
>  at (eval 9) line 3
> Compilation failed in require at (eval 9) line 3.
> Perhaps a required shared library or dll isn't installed where expected
>  at /usr/local/bin/mysqlhotcopy line 177
>
> Tra le altre ho verificato e ho la libmysqlclient.so.16 e non la 15 come 
> li riportato, pensando a un non allineamento di versioni ho rimosso e 
> reinstallato tutti i mysql51-* ma niente continua a darmi errore.
>
> Avete qualche idea in merito?

ricompila il modulo DBD che si interfaccia con MySQL (dovrebbe essere
qualcosa tipo p5-DBD-MySQL e numeri di versione appropriati a seguire).

Il problema e si un "non allineamento" ma la colpa sta nel programma che
cerca una versioen della libreria non piu' disponibile.

P.S. portupgrade/portmaster/altri sono tuoi amici in questo caso.

-- 
Guido Falsi <mad a madpilot.net>


Maggiori informazioni sulla lista Esperti